<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_60) on Tue Apr 26 16:24:19 CEST 2016 -->
<title>WebSocket</title>
<meta name="date" content="2016-04-26">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="WebSocket";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/WebSocket.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../aasbo/socket/WebSocketClient.html" title="class in aasbo.socket"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?aasbo/socket/WebSocket.html" target="_top">Frames</a></li>
<li><a href="WebSocket.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">aasbo.socket</div>
<h2 title="Class WebSocket" class="title">Class WebSocket</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>aasbo.socket.WebSocket</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../aasbo/listeners/ClientListener.html" title="interface in aasbo.listeners">ClientListener</a>, java.io.Closeable, java.lang.AutoCloseable</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">WebSocket</span>
extends java.lang.Object
implements java.io.Closeable, <a href="../../aasbo/listeners/ClientListener.html" title="interface in aasbo.listeners">ClientListener</a></pre>
<div class="block">Denne klassen setter opp en websocket som gjør det mulig for flere klienter å koble til fra nettlesere</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>ole-johannes</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.Object</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/socket/WebSocket.html#arrayBlock">arrayBlock</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="../../aasbo/socket/WebSocketClient.html" title="class in aasbo.socket">WebSocketClient</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/socket/WebSocket.html#klienter">klienter</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="../../aasbo/listeners/WebSocketClientListener.html" title="interface in aasbo.listeners">WebSocketClientListener</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/socket/WebSocket.html#listener">listener</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/socket/WebSocket.html#pingRate">pingRate</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.net.ServerSocket</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/socket/WebSocket.html#socket">socket</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.Timer</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/socket/WebSocket.html#timer">timer</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../aasbo/socket/WebSocket.html#WebSocket-int-">WebSocket</a></span>(int&nbsp;port)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/socket/WebSocket.html#close--">close</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/socket/WebSocket.html#handleClientConnection-java.net.Socket-">handleClientConnection</a></span>(java.net.Socket&nbsp;client)</code>
<div class="block">Tar av seg alt det som trengs for at en klient skal kobles til tjeneren.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/socket/WebSocket.html#notifyListener-aasbo.socket.WebSocketClient-">notifyListener</a></span>(<a href="../../aasbo/socket/WebSocketClient.html" title="class in aasbo.socket">WebSocketClient</a>&nbsp;client)</code>
<div class="block">Sier ifra til alle listeners av WebSocket klassen at en ny klient har
 koblet til</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/socket/WebSocket.html#onDisconnect-aasbo.socket.WebSocketClient-">onDisconnect</a></span>(<a href="../../aasbo/socket/WebSocketClient.html" title="class in aasbo.socket">WebSocketClient</a>&nbsp;socket)</code>
<div class="block">Kalles når en klient frakobles</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/socket/WebSocket.html#onMessage-aasbo.json.JSONObject-">onMessage</a></span>(<a href="../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a>&nbsp;obj)</code>
<div class="block">Alle klienter bruker denne metoden når de sender en melding til serveren
 Varsler alle listeners om at en klient har send en medling</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/socket/WebSocket.html#sendMessage-byte:A-">sendMessage</a></span>(byte[]&nbsp;data)</code>
<div class="block">Sender data til alle klienter som er registret som aktive</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/socket/WebSocket.html#sendMessage-java.lang.String-">sendMessage</a></span>(java.lang.String&nbsp;text)</code>
<div class="block">Sender en melding til alle klienter som er registret som aktive</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/socket/WebSocket.html#setListener-aasbo.listeners.WebSocketClientListener-">setListener</a></span>(<a href="../../aasbo/listeners/WebSocketClientListener.html" title="interface in aasbo.listeners">WebSocketClientListener</a>&nbsp;l)</code>
<div class="block">Gjør det mulig for "brukere" (objekter) av WebSocket klassen å lytte på
 hendelser som skjer i WebSocketen</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/socket/WebSocket.html#startSocket--">startSocket</a></span>()</code>
<div class="block">Denne metoden aksepterer alle klienter somn prøver å koble seg opp og
 sender klientene vidre til en annen metode som tar seg av websocket delen</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/socket/WebSocket.html#websocketAccept-java.lang.String-">websocketAccept</a></span>(java.lang.String&nbsp;key)</code>
<div class="block">Denne metoden tar seg av maskeringsnøkkelen</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/socket/WebSocket.html#WebSocketHandsake-java.io.BufferedReader-java.io.PrintWriter-">WebSocketHandsake</a></span>(java.io.BufferedReader&nbsp;reader,
                 java.io.PrintWriter&nbsp;writer)</code>
<div class="block">Denne metoden tar seg av handshake med nyoppkoblede klienter.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="socket">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>socket</h4>
<pre>private&nbsp;java.net.ServerSocket socket</pre>
</li>
</ul>
<a name="listener">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>listener</h4>
<pre>private&nbsp;java.util.ArrayList&lt;<a href="../../aasbo/listeners/WebSocketClientListener.html" title="interface in aasbo.listeners">WebSocketClientListener</a>&gt; listener</pre>
</li>
</ul>
<a name="klienter">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>klienter</h4>
<pre>private&nbsp;java.util.ArrayList&lt;<a href="../../aasbo/socket/WebSocketClient.html" title="class in aasbo.socket">WebSocketClient</a>&gt; klienter</pre>
</li>
</ul>
<a name="timer">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>timer</h4>
<pre>private&nbsp;java.util.Timer timer</pre>
</li>
</ul>
<a name="arrayBlock">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>arrayBlock</h4>
<pre>private final&nbsp;java.lang.Object arrayBlock</pre>
</li>
</ul>
<a name="pingRate">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>pingRate</h4>
<pre>private final&nbsp;long pingRate</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../constant-values.html#aasbo.socket.WebSocket.pingRate">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="WebSocket-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>WebSocket</h4>
<pre>public&nbsp;WebSocket(int&nbsp;port)
          throws java.io.IOException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setListener-aasbo.listeners.WebSocketClientListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setListener</h4>
<pre>public&nbsp;void&nbsp;setListener(<a href="../../aasbo/listeners/WebSocketClientListener.html" title="interface in aasbo.listeners">WebSocketClientListener</a>&nbsp;l)</pre>
<div class="block">Gjør det mulig for "brukere" (objekter) av WebSocket klassen å lytte på
 hendelser som skjer i WebSocketen</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>l</code> - Lytteren som skal registreres</dd>
</dl>
</li>
</ul>
<a name="sendMessage-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sendMessage</h4>
<pre>public&nbsp;void&nbsp;sendMessage(java.lang.String&nbsp;text)</pre>
<div class="block">Sender en melding til alle klienter som er registret som aktive</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>text</code> - Meldingen/data som skal sendes</dd>
</dl>
</li>
</ul>
<a name="sendMessage-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sendMessage</h4>
<pre>public&nbsp;void&nbsp;sendMessage(byte[]&nbsp;data)</pre>
<div class="block">Sender data til alle klienter som er registret som aktive</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>data</code> - Data som skal sendes(må være riktig formatert)</dd>
</dl>
</li>
</ul>
<a name="startSocket--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startSocket</h4>
<pre>private&nbsp;void&nbsp;startSocket()</pre>
<div class="block">Denne metoden aksepterer alle klienter somn prøver å koble seg opp og
 sender klientene vidre til en annen metode som tar seg av websocket delen</div>
</li>
</ul>
<a name="websocketAccept-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>websocketAccept</h4>
<pre>private&nbsp;java.lang.String&nbsp;websocketAccept(java.lang.String&nbsp;key)</pre>
<div class="block">Denne metoden tar seg av maskeringsnøkkelen</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - nøkkel fra klienten</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ny nøkkel</dd>
</dl>
</li>
</ul>
<a name="handleClientConnection-java.net.Socket-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>handleClientConnection</h4>
<pre>private&nbsp;void&nbsp;handleClientConnection(java.net.Socket&nbsp;client)</pre>
<div class="block">Tar av seg alt det som trengs for at en klient skal kobles til tjeneren.
 Gjør alt i en ny tråd slik at det er mulig å akseptere nye klienter
 raskes mulig uten at det hoper seg opp queue</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>client</code> - Socketen til den nyoppkoblede klienten</dd>
</dl>
</li>
</ul>
<a name="WebSocketHandsake-java.io.BufferedReader-java.io.PrintWriter-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WebSocketHandsake</h4>
<pre>private&nbsp;void&nbsp;WebSocketHandsake(java.io.BufferedReader&nbsp;reader,
                               java.io.PrintWriter&nbsp;writer)
                        throws java.lang.Exception</pre>
<div class="block">Denne metoden tar seg av handshake med nyoppkoblede klienter.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>reader</code> - Leseren til strømmen</dd>
<dd><code>writer</code> - Skriveren til strømmen</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code> - Kaster feil om handshaken ikke går slik den skal</dd>
</dl>
</li>
</ul>
<a name="close--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>close</h4>
<pre>public&nbsp;void&nbsp;close()
           throws java.io.IOException</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>close</code>&nbsp;in interface&nbsp;<code>java.io.Closeable</code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>close</code>&nbsp;in interface&nbsp;<code>java.lang.AutoCloseable</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</li>
</ul>
<a name="notifyListener-aasbo.socket.WebSocketClient-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>notifyListener</h4>
<pre>private&nbsp;void&nbsp;notifyListener(<a href="../../aasbo/socket/WebSocketClient.html" title="class in aasbo.socket">WebSocketClient</a>&nbsp;client)</pre>
<div class="block">Sier ifra til alle listeners av WebSocket klassen at en ny klient har
 koblet til</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>client</code> - </dd>
</dl>
</li>
</ul>
<a name="onMessage-aasbo.json.JSONObject-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onMessage</h4>
<pre>public&nbsp;void&nbsp;onMessage(<a href="../../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a>&nbsp;obj)</pre>
<div class="block">Alle klienter bruker denne metoden når de sender en melding til serveren
 Varsler alle listeners om at en klient har send en medling</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../aasbo/listeners/ClientListener.html#onMessage-aasbo.json.JSONObject-">onMessage</a></code>&nbsp;in interface&nbsp;<code><a href="../../aasbo/listeners/ClientListener.html" title="interface in aasbo.listeners">ClientListener</a></code></dd>
</dl>
</li>
</ul>
<a name="onDisconnect-aasbo.socket.WebSocketClient-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>onDisconnect</h4>
<pre>public&nbsp;void&nbsp;onDisconnect(<a href="../../aasbo/socket/WebSocketClient.html" title="class in aasbo.socket">WebSocketClient</a>&nbsp;socket)</pre>
<div class="block">Kalles når en klient frakobles</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../aasbo/listeners/ClientListener.html#onDisconnect-aasbo.socket.WebSocketClient-">onDisconnect</a></code>&nbsp;in interface&nbsp;<code><a href="../../aasbo/listeners/ClientListener.html" title="interface in aasbo.listeners">ClientListener</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/WebSocket.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../aasbo/socket/WebSocketClient.html" title="class in aasbo.socket"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?aasbo/socket/WebSocket.html" target="_top">Frames</a></li>
<li><a href="WebSocket.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
